import type { IDesignItem } from '../../item/IDesignItem.js';
import type { IPoint } from '../../../interfaces/IPoint.js';
import type { ISize } from '../../../interfaces/ISize.js';
import { OverlayLayerView } from './overlayLayerView.js';
import { IRect } from "../../../interfaces/IRect.js";
export declare class Snaplines {
    snapOffset: number;
    private _overlayLayerView;
    private _containerItem;
    private _positionsH;
    private _positionsMiddleH;
    private _positionsV;
    private _positionsMiddleV;
    private _outerRect;
    constructor(overlayLayer: OverlayLayerView);
    initialize(containerItem: IDesignItem): void;
    clearSnaplines(): void;
    calculateSnaplines(ignoredItems: IDesignItem[]): void;
    snapToPosition(position: IPoint, size: ISize, moveDirection: IPoint): IPoint;
    drawSnaplines(position: IPoint, size: ISize, rectsH: IRect[], rectsV: IRect[]): void;
}
